#include "toolbox.h"

struct array *sort(struct array *arr, comparator f)
{
    (void)arr;
    (void)f;
    return NULL;
}

struct array *map(struct array *arr, size_t output_size, mapper f)
{
    (void)arr;
    (void)f;
    (void)output_size;
    return NULL;
}

struct array *filter(struct array *arr, predicate f)
{
    (void)arr;
    (void)f;
    return NULL;
}

void *reduce(struct array *arr, void *start_value, reducer f)
{
    (void)arr;
    (void)f;
    (void)start_value;
    return NULL;
}

void foreach(struct array *arr, acceptor f)
{
    (void)arr;
    (void)f;
}
